<template>
  <v-navigation-drawer expand-on-hover rail class="bg-black">
    <v-list density="compact" nav>
      <v-list-item
        v-for="route in routes"
        :key="route.title"
        :title="route.title"
        :to="route.path"
        :prepend-icon="route.icon"
      >
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script setup lang="ts">
type RouteItem = {
  title: string
  icon: string
  path: string
}

const routes: RouteItem[] = [
  {
    title: 'Home',
    icon: 'mdi-home',
    path: '/'
  },
  {
    title: 'Branch',
    icon: 'mdi-note',
    path: '/branch'
  },
  {
    title: 'Product',
    icon: 'mdi-food',
    path: '/product'
  },
  {
    title: 'Promotion',
    icon: 'mdi-star',
    path: '/promotion'
  },
  {
    title: 'Customer',
    icon: 'mdi-wallet-membership',
    path: '/customer'
  }
  ,
  {
    title: 'Stock',
    icon: 'mdi-warehouse',
    path: '/stock'
  }
]
</script>
